FROM docker.io/hugomods/hugo:debian-exts AS builder

WORKDIR /src
COPY . .
RUN hugo --minify

FROM docker.io/nginx:alpine
COPY --from=builder /src/public /usr/share/nginx/html
COPY nginx.conf /etc/nginx/conf.d/default.conf
EXPOSE 80


